Manage Signal To Metrics (BETA)
Update or create a signal-to-metrics config by origin or ID
put
/api/signal-to-metrics/{originOrId}Updates an existing signal-to-metrics configuration or creates a new one if it doesn't exist. Useful for Infrastructure-as-Code workflows.
Parameters 2
originOrIdpathrequiredSignal-to-metrics config origin or UUID
string
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request1234567891011121314151617181920212223242526272829curl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/signal-to-metrics/123e4567-e89b-42d3-a456-426614174000' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"kind": "Dash0SignalToMetrics","metadata": {"name": "Example"},"spec": {"enabled": true,"display": {"name": "Example"},"match": {"signal": "spans","filters": [{"key": "service.name","operator": "is","value": "shop"}]},"output": {"name": "Example","interval": "1m"}}}'
Request body required
References SignalToMetricsResponse
References SignalToMetricsDefinition
Responses
The updated or created signal-to-metrics config
References SignalToMetricsResponse
References SignalToMetricsDefinition